package com.gh.gamecenter.gamecollection.hotlist

import android.os.Bundle
import com.gh.gamecenter.R
import com.gh.gamecenter.common.base.activity.BaseActivity

/**
 * 游戏单热榜
 */
class GameCollectionHotListActivity : BaseActivity() {
    override fun getLayoutId(): Int {
        return R.layout.activity_amway
    }

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)

        val containerFragment = supportFragmentManager.findFragmentByTag(
            GameCollectionHotListWrapperFragment::class.java.name
        )
            ?: GameCollectionHotListWrapperFragment().with(intent.extras)
        supportFragmentManager.beginTransaction()
            .replace(R.id.placeholder, containerFragment, GameCollectionHotListWrapperFragment::class.java.name)
            .commitAllowingStateLoss()
    }
}